@charset "UTF-8";
/*-----------------------------------------------------------------------------------*/
/*  0.  Colors
/*-----------------------------------------------------------------------------------*/
:root {
    --white: #fff;
    --black: #000;
    --dark-grey: #637280;
    --black-opaque: rgba(0, 0, 0, 0.125);
    --green: #11316E;
    --mid-grey: #aca196;
    --beige: #e3d4c5;
    --light-blue: #2980b9;
    --red: #ff0000;
    --light-grey: #efefef;
    --middle-grey: #c1c1c1;
    --dt-row-selected: var(--green);
    --dt-row-selected-link: var(--white);
    --bg-green-highlight: #C2F1C8;
    --bg-green-highlight-selected: #98E8A2;
    --bg-green-highlight-selected-border: #73DF80;
}

/* General */
a {
  color: var(--green);
}

a:hover {
  color: var(--mid-grey);
}

/* Pagination */
.pagination .page-link {
  color: var(--green);
}

/* Buttons */
.btn-primary {
  background-color: var(--green);
  border-color: var(--green);
}

.btn-primary:hover {
  color: var(--white) !important;
  background-color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-primary.nav-link:hover {
  color: var(--white) !important;
  background-color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-primary.medium-button:hover {
  color: var(--white) !important;
  background-color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-primary:active {
  background-color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-primary:visited {
  background-color: var(--green);
  border-color: var(--green);
}

.btn-primary.disabled, .btn-primary:disabled {
  color: var(--white);
  background-color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-primary:not(:disabled):not(.disabled):active, .btn-primary:not(:disabled):not(.disabled).active, .show > .btn-primary.dropdown-toggle {
  color: var(--white) !important;
  background-color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-outline-primary {
  color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-outline-primary:hover {
  color: var(--green);
  background-color: var(--mid-grey);
  border-color: var(--mid-grey);
}

.btn-outline-primary:active, .btn-outline-primary:focus {
  color: var(--white) !important;
  background-color: var(--green) !important;
  border-color: var(--green) !important;
}

.large-button.active {
  border: 2px solid var(--green);
  background-color: var(--black-opaque);
  color: var(--green);
}

.large-button ion-icon {
  color: var(--green);
}

.large-button:hover {
  background-color: var(--mid-grey);
  color: var(--white);
}

.fullwidth-button {
  background: var(--green);
  border: solid 1px var(--green);
}

.simple-transparent-button {
  color: var(--green);
}

.simple-transparent-button:hover {
  color: var(--dark-grey);
}

.paginate_button:hover {
  background: none !important;
  background-color: var(--mid-grey) !important;
}

.dropdown-item.active, .dropdown-item:active {
  color: var(--white);
  text-decoration: none;
  background-color: var(--green);
}

ion-icon.btn-actions {
  font-size: 1.33em;
  vertical-align: middle;
  display: inline-block;
  line-height: 1;
  padding-left: 8px !important;
}

/* Searchbar */
.search-bar {
  border-bottom: 2px solid var(--green);
}

.search-bar:focus {
  border-color: var(--mid-grey);
}

/* DataTables */
table.dataTable tbody > tr.selected,
table.dataTable tbody > tr > .selected {
  background-color: var(--green);
}

.table-legendgraph-new td {
  padding: 5px !important;
}

/* Card */
.aempCard {
  overflow-x: hidden;
}

.aempCard.document-portrait {
  min-height: 71vh;
  margin-left: auto;
  margin-right: auto;
  margin-bottom: 0px;
  height: 79vh;
}

#docBody .e-rte-content {
  border-bottom: none !important;
}

.slightlyRounded {
  border-radius: 10px;
}

#dashboardTime {
  color: var(--dark-grey);
  font-size: xxx-large;
}

#timeSegment {
  min-width: 200px;
  font-size: x-large;
}

.switchAccountContainer {
  margin-top: 10%;
}

.card-app:hover .card-body {
  color: var(--mid-grey);
}

.card-app:hover .card-footer {
  background-color: var(--mid-grey);
  color: var(--white);
}

.card-document:hover .card-body {
  color: var(--mid-grey);
}

.card-document:hover .card-footer {
  background-color: var(--mid-grey);
  color: var(--white);
}

.card-document .card-body {
  color: var(--green);
}

.card-app .card-body {
  background-color: var(--green);
}

/* Message overview */
#message-overview tbody tr.selected, #sentMessages tbody tr.selected {
  color: var(--black);
  background-color: var(--mid-grey);
}

.page-item.active .page-link {
  color: var(--white);
  background-color: var(--green);
  border-color: var(--green);
}

.page-link {
  color: var(--green);
  background-color: var(--white);
  border: 1px solid var(--black-opaque);
}

.unread-message {
  background-color: var(--green) !important;
  color: var(--white) !important;
}

#messagerte-view {
  overflow: hidden;
}

#message_rte-edit-view, #messagerte-view {
  height: 550px !important;
}

/* Logos & Images */
.sidebar-top-image {
  background: url(/img/sidebar-qp.jpg);
  background-size: cover;
  background-repeat: no-repeat;
  width: 100%;
  height: 195px;
}

#logo {
  height: 22px;
  background: url(/img/sonic-logo.svg);
  width: 77px;
  background-size: contain;
  background-repeat: no-repeat;
}

.credential-logo {
  display: none;
}

.bg-splashscreen {
  background: url(/img/labqm-login-bg.png);
}

.sidebar-bottom-image {
  background: url(/img/sidebar-qp.jpg);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
}

/* Doc */
.card-ct-app-tab-active {
  background: var(--green);
}

.custom-edit-button {
  position: fixed;
  width: 48px;
  height: 48px;
  left: 16px;
  background: var(--primary);
  color: var(--white);
  border-radius: 300px;
  text-align: center;
  font-size: 36px;
  z-index: 9999;
  display: block;
  cursor: pointer;
  top: 90px;
}

.custom-edit-button:hover {
  color: var(--mid-grey);
}

.doc-print-button,
.doc-favorite-button,
.file-favorite-button {
  background: var(--green);
}

a.doc-print-button,
a.doc-print-button:hover a.doc-print-button:active {
  background: var(--green) !important;
}

.custom-left-button {
  left: 16px;
  background: var(--green);
}

.custom-right-button {
  left: 70px !important;
  background: var(--red);
}

.ct-app .ct-widget {
  display: none;
}

/* Other */
.credential-title {
  color: var(--green);
}

.user-img-round-sm-wrapper, .user-img-round-md-wrapper {
  border: solid 1.5px var(--green);
}

.user-img-round-sm-wrapper:hover {
  border: solid 1.5px var(--dark-grey);
}

.header-dropdown {
  color: var(--green);
}

.coreprocess-weitereanweisungen {
  background: var(--green);
  border: 1px solid var(--green);
}

/* Date picker */
.xdsoft_datetimepicker .xdsoft_calendar td:hover,
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box > div > div:hover {
  color: var(--white) !important;
  background-color: var(--beige) !important;
  border-color: var(--beige) !important;
}

.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_default,
.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_current,
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box > div > div.xdsoft_current {
  background-color: var(--green) !important;
}

/* scrollbar */
/* width */
::-webkit-scrollbar {
  width: 10px;
  height: 10px;
}

/* Track */
::-webkit-scrollbar-track {
  background: none;
  border: solid 1px var(--black-opaque);
}

/* Handle */
::-webkit-scrollbar-thumb {
  background: var(--mid-grey);
  border: solid 1px var(--black-opaque);
}

/* Handle on hover */
::-webkit-scrollbar-thumb:hover {
  background: var(--green);
}

.expandCommentBtn:after {
  content: "+";
  float: right;
}

.expandCommentBtn.active:after {
  content: "−";
}

.expandCommentBtn {
  box-shadow: none !important;
  border-radius: 5px !important;
}

.expandCommentBtn:hover {
  background-color: var(--light-grey);
}

.expandCommentBtn.active {
  background-color: #f8f9fa !important;
  border-bottom-left-radius: 0 !important;
  border-bottom-right-radius: 0 !important;
}

.collapseContent {
  background-color: #f8f9fa;
  border-bottom-left-radius: 5px;
  border-bottom-right-radius: 5px;
  font-size: small;
}

#SelectedTemplate option:disabled {
  background-color: var(--light-grey);
}

.fileUploadLink {
  background-color: rgba(48, 119, 140, 0.9294117647) !important;
}

.card-app:hover .card-body.fileUploadLink {
  color: var(--middle-grey) !important;
}

.slideInInitial {
  animation: slideIn ease-out;
  animation-fill-mode: forwards;
}

#sidebar {
  width: 26.6%;
  right: -25%;
  box-shadow: none;
}

.search-indicator {
  z-index: 1000;
}

.addMeasureTask:disabled {
  cursor: not-allowed;
}

/* Document Editor */
#docBody {
  overflow-y: hidden;
  border: none !important;
  min-height: 61vh;
  height: 69vh;
}

#docBody #RichTextrte-view {
  height: 100% !important;
}

#docBody .e-richtexteditor {
  height: 100% !important;
  border: none !important;
}

@media (max-width: 1200px) {
  .e-richtexteditor .e-rte-content .e-content {
    padding-bottom: 150px;
  }
}
#RichText_toolbar {
  /*top: 142px !important;*/
  position: fixed;
}

#RichText_toolbar_wrapper {
  margin-bottom: 38px;
}

.document-landscape .e-rte-table-popup {
  top: 40px !important;
}

.document-portrait .e-rte-table-popup {
  top: 80px !important;
}

@keyframes slideIn {
  from {
    right: -25%;
  }
  to {
    right: 0;
  }
}
.doc-header-numbered:before {
  content: attr(data-before);
}

/* Backup */
a.disabled {
  pointer-events: none;
  cursor: not-allowed;
}

.btn-progress {
  background: linear-gradient(to right, #4caf50 var(--progress, 0%), transparent 0%) no-repeat, #6c757d;
  background-size: 100% 100%;
  transition: background-size 0.2s;
}

.btn[disabled] {
  pointer-events: none;
  opacity: 0.6;
}

#selectBackup {
  z-index: 1000;
}

.archivedMessage {
  opacity: 0.8;
}

#pmCreateEditFolder .modal-body {
  height: 45vh;
}